/* 変数管理システム */
#include "defines.h"
#include "vsiki.h"

int var_hash_set(unchar *vname,VARSYS *var)
/* ハッシュ登録 */
/* 格納できるかどうかのチェックはあらかじめ行っておくこと */
{
unsint h;
	h=hash(vname)%var->vhsize;
	if (var->vhash[h]) { /* すでにそのハッシュは使われている */
		var->vhash[h]|=BIT31; /* 重複フラグ */
		return(1);
	}
	var->vhash[h]=var->vpoint;
	return(0); /* 登録完了 */
}
